<?php




namespace app\common\dao\system\notice;


use app\common\dao\BaseDao;
use app\common\model\system\notice\SystemNotice;

class SystemNoticeDao extends BaseDao
{

    protected function getModel(): string
    {
        return SystemNotice::class;
    }

    public function search(array $where)
    {
        return SystemNotice::getDB()->when(isset($where['keyword']) && $where['keyword'] !== '', function ($query) use ($where) {
            $query->whereLike('notice_title|notice_content', '%' . $where['keyword'] . '%');
        })->when(isset($where['date']) && $where['date'] !== '', function ($query) use ($where) {
            getModelTime($query, $where['date'], 'create_time');
        })->where('is_del', 0);
    }
}